:root {
  --primary: #111;
  --secondary: #666;
  --accent: #ededed;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: 'IBM Plex Mono', monospace;  font-weight: 400;
  color: var(--primary);
  background-color: #f4f5f3;
  background-image: linear-gradient(rgba(0,0,0,0.03) 1px, transparent 1px),
                    linear-gradient(90deg, rgba(0,0,0,0.03) 1px, transparent 1px);
  background-size: 20px 20px;
}

.cv {
  max-width: 1000px;
  margin: 40px auto;
  display: grid;
  grid-template-columns: 320px 1fr;
  gap: 40px;
}
.cursor {
  display: inline-block;
  margin-left: 4px;
  font-weight: 400;
  color: #666;
  animation: blinkSmooth 1.6s ease-in-out infinite;
}

@keyframes blinkSmooth {
  0%, 100% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}



/* LEFT COLUMN */
.sidebar {
  border-right: 2px solid var(--accent);
  padding-right: 30px;
}

.name {
  font-size: 42px;
  font-weight: bold;
  line-height: 1.1;
}

.title {
  font-size: 14px;
  letter-spacing: 2px;
  color: var(--secondary);
  margin-bottom: 10px;
}

.profilepicture {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  object-fit: cover;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
  object-position: center 20%;
  margin-bottom: 20px;
  margin-left: -30px;
}

.header {
  max-width: 1000px;
  margin: 40px auto;
  display: grid;
  grid-template-columns: 1fr 200px;
  align-items: center;
  gap: 40px;
}

.section {
  margin-bottom: 30px;
}

.section h3 {
  font-size: 14px;
  letter-spacing: 3px;
  margin-bottom: 15px;
  border-bottom: 1px solid var(--accent);
  padding-bottom: 5px;
  font-weight: 500;
}

.section p,
.section li {
  font-size: 13px;
  line-height: 1.6;
  color: var(--secondary);
  font-weight: 400;
}

ul {
  padding-left: 18px;
  margin: 0;
}

/* RIGHT COLUMN */
.content .block {
  margin-bottom: 35px;
}

.block h3 {
  font-size: 16px;
  letter-spacing: 3px;
  margin-bottom: 20px;
  font-weight: 500;
}

.item {
  margin-bottom: 20px;
}

.item h4 {
  font-size: 15px;
  margin: 0 0 5px 0;
  font-weight: 450;
}
.item h5 {
  font-size: 15px;
  margin-bottom: 2px;
  font-weight: 500;
}

.item span {
  display: block;
  font-size: 13px;
  line-height: 1.5;
  color: var(--secondary);
  /* margin-bottom: 4px; */
}

@media (max-width: 900px) {
  .cv {
    grid-template-columns: 1fr;
  }

  .sidebar {
    border-right: none;
    padding-right: 0;
    border-bottom: 2px solid var(--accent);
    padding-bottom: 30px;
  }
}
